set(_targets)

if (ON)
    include("${CMAKE_CURRENT_LIST_DIR}/QhullTargetsShared.cmake" OPTIONAL)
    list(APPEND _targets Qhull::qhull_r)
endif()
if (OFF)
    include("${CMAKE_CURRENT_LIST_DIR}/QhullTargetsStatic.cmake" OPTIONAL)
    list(APPEND _targets Qhull::qhullstatic_r)
endif()
if (ON)
    include("${CMAKE_CURRENT_LIST_DIR}/QhullTargetsCpp.cmake" OPTIONAL)
    list(APPEND _targets Qhull::qhullcpp)
endif()

set(Qhull_FOUND FALSE)
foreach(_target IN ITEMS ${_targets})
    if (TARGET ${_target})
        set(Qhull_FOUND TRUE)
    endif()
endforeach()
